Skip to main content

Get all units

GEThttps://api.propexo.com/v1/units/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external unit id

x_property_id string

Deprecated: Use the Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo property id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the unit.

unit_number string

The number of the unit. When using this, the Propexo property_id filter must be added as well.

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the unit

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    getBuildings
    Example: 902114
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    getBuildings
    Example: 481920
    x_floor_plan_idnullrequired

    The external ID of the floor plan from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    x_unit_type_idnullrequired

    The external ID of the unit type from the integration vendor

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the unit

    Method
    getBuildings
    Example: 2.5
    bathrooms_fullnumber | nullnullablerequired

    The number of full bathrooms associated with the unit

    Method
    getBuildings
    Example: 2
    bathrooms_halfnumber | nullnullablerequired

    The number of half bathrooms associated with the unit

    Method
    getBuildings
    Example: 1
    bedroomsstring | nullnullablerequired

    The number of bedrooms associated with the unit

    Method
    getBuildings
    Example: 2
    building_namestring | nullnullablerequired

    The building name associated with the unit

    Method
    getBuildings
    Example: Oak Apartments
    building_numbernullrequired

    The building number associated with the unit

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    citystring | nullnullablerequired

    The city associated with the unit

    Method
    getBuildings
    Example: Austin
    countrynullrequired

    The country associated with the unit

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    custom_data object | nullrequired
    object
    floor_plan_codenullrequired

    The external ID of the floor plan associated with the unit

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    floor_plan_namenullrequired

    The floor plan name associated with the unit

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    floorstring | nullnullablerequired

    The floor number/name associated with the unit

    Method
    getBuildings
    Example: 2
    is_availableboolean | nullnullablerequired

    Whether the unit is available

    Method
    getBuildings
    Example: true
    is_furnishednullrequired

    Whether the unit is furnished

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    is_listednullrequireddeprecated

    DEPRECATED: Use listings endpoints.

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    is_vacantboolean | nullnullablerequired

    Whether the unit is vacant

    Method
    getBuildings
    Example: true
    numbernullrequired

    The unit number

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    rent_amount_market_in_centsnumber | nullnullablerequired

    The market rent amount in cents for the unit

    Method
    getBuildings
    Example: 185000
    rent_amount_max_in_centsnullrequired

    The maximum rent amount in cents

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    rent_amount_min_in_centsnullrequired

    The minimum rent amount in cents

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    square_feetinteger | nullnullablerequired

    The square footage of the unit

    Method
    getBuildings

    Possible values: >= 0

    Example: 1100
    statestring | nullnullablerequired

    The state associated with the unit

    Method
    getBuildings
    Example: TX
    street_address_1string | nullnullablerequireddeprecated

    Deprecated: Use address_1

    Method
    getBuildings
    street_address_2string | nullnullablerequireddeprecated

    Deprecated: Use address_2

    Method
    getBuildings
    address_1string | nullnullablerequired

    The first address line associated with the unit

    Method
    getBuildings
    Example: 1200 Market Street
    address_2string | nullnullablerequired

    The second address line associated with the unit

    Method
    getBuildings
    Example: 1200 Market Street
    zipstring | nullnullablerequired

    The zip code associated with the unit

    Method
    getBuildings
    Example: 78701
    pets_allowedboolean | nullnullablerequired

    Whether or not pets are allowed

    Method
    getBuildings
    Example: true
    dogs_allowednullrequired

    Whether or not dogs are allowed

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    cats_allowednullrequired

    Whether or not cats are allowed

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    pet_policynullrequired

    The pet policy for the unit

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    floor_plan_idnullrequired

    The Propexo unique identifier for the floor plan

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum17required

    The property management system of record

    Show 13 enum values
    PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: PROPERTYWARE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_type_idnullrequired

    The Propexo unique identifier for the unit type

    Notice

    This field will always be null for PROPERTYWARE

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/units/
curl https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "902114",
"x_property_id": "481920",
"x_floor_plan_id": null,
"x_unit_type_id": null,
"bathrooms": "2.5",
"bathrooms_full": 2,
"bathrooms_half": 1,
"bedrooms": "2",
"building_name": "Oak Apartments",
"building_number": null,
"city": "Austin",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": null,
"floor_plan_name": null,
"floor": "2",
"is_available": true,
"is_furnished": null,
"is_vacant": true,
"number": null,
"rent_amount_market_in_cents": 185000,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": 1100,
"state": "TX",
"address_1": "1200 Market Street",
"address_2": "1200 Market Street",
"zip": "78701",
"pets_allowed": true,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": null
}
]
}